MDIFFEXEC(1)

NAME
mDiffExec - Re-project and mosaic your images, with background rectification

SYNOPSIS
mDiffExec [-p projdir] [-d] [-n(o-areas)] [-s statusfile] diffs.tbl template.hdr diffdir

DESCRIPTION
Runs mDiff on all the pairs identified by mOverlaps.

OPTIONS

-p projdir
    Specifies path to the directory containing reprojected input images.

-d  Turns on debugging.

-n  No-area-images flag. Creates difference image without requiring _area FITS images

-s statusfile
    Output and errors are sent to statusfile instead of to stdout

ARGUMENTS

diffs.tbl
    Table generated by mOverlaps for the images in projdir.

template.hdr
    FITS header template for output files.

diffdir
    Path to output files.

RESULT
FITS images representing the differences for each pair of overlapping images. nimages is the total number of images successfully processed, and nfailed is the number of images that failed. The most likely cause of failure is that the FITS images overlapped, but only in areas where they contained blank pixels (especially common in images with large degree of rotation).

MESSAGES

OK  [struct stat="OK", count=nimages, failed=nfailed]

ERROR
    MPI initialization failed

ERROR
    Cannot open status file: statusfile

ERROR
    Cannot access diffdir

ERROR
    diffdir is not a directory

ERROR
    Invalid image metadata file: filename

ERROR
    Need columns: cntr1 cntr2 plus minus diff

ERROR
    mDiff error

EXAMPLES

First, diffs.tbl is generated using mOverlaps. Then mDiff can be run on reprojected images, using this template.hdr.

$ mDiffExec -n -p projdir projdir/diffs.tbl template.hdr diffdir
    [struct stat="OK", count=42, failed=0]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.